clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions | Variables
CppCoreGuidelinesTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "../misc/AssignOperatorSignatureCheck.h"`
`#include "ProBoundsArrayToPointerDecayCheck.h"`
`#include "ProBoundsConstantArrayIndexCheck.h"`
`#include "ProBoundsPointerArithmeticCheck.h"`
`#include "ProTypeConstCastCheck.h"`
`#include "ProTypeCstyleCastCheck.h"`
`#include "ProTypeReinterpretCastCheck.h"`
`#include "ProTypeStaticCastDowncastCheck.h"`
`#include "ProTypeUnionAccessCheck.h"`
`#include "ProTypeVarargCheck.h"`
Include dependency graph for CppCoreGuidelinesTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::cppcoreguidelines::CppCoreGuidelinesModule
| A module containing checks of the C++ Core Guidelines. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::cppcoreguidelines

## Functions
static ClangTidyModuleRegistry::Add < CppCoreGuidelinesModule > | clang::tidy::cppcoreguidelines::X ("cppcoreguidelines-module","Adds checks for the C++ Core Guidelines.")

## Variables
volatile int | clang::tidy::CppCoreGuidelinesModuleAnchorSource = 0